iPhone Uh Oh

 
System requirements for iOS 10 are the same as those for its predecessor, but the iPhone4s, original iPad mini and iPad 2 are no longer supported.
Advertisements